package be.jeffcheasey88.peeratcode.parser.java;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.util.Arrays;

import org.junit.jupiter.api.Test;

import be.jeffcheasey88.peeratcode.parser.java.CleanerPool.Cleaner;

public class CleanerTest {

	@Test
	void cutter(){
		CleanerPool cleaner = new CleanerPool(Arrays.asList(new Cleaner("$TEST",'<','>')));
		String result = cleaner.clean("test<Test<Lol>>");
		assertEquals("test$TEST1", result);
		assertEquals("Lol", cleaner.getConstant("$TEST0"));
	}
}
